#!/bin/bash
# -*- coding: utf-8 mode: sh -*- vim:sw=4:sts=4:et:ai:si:sta:fenc=utf-8

function die() { [ -n "$*" ] && echo "error: $*"; exit 1; }

[ `id -u` -eq 0 ] || die "this script must be run as root"
[ -d /jclain-slapd-tests ] || die "please start with 0start.sh"

################################################################################
# kill the processes

if [ -f /jclain-slapd-tests/slave.data/slapd.pid ]; then
    pid="$(</jclain-slapd-tests/slave.data/slapd.pid)"

    kill -HUP "$pid"
    sleep 2
fi

if [ -f /jclain-slapd-tests/master.data/slapd.pid ]; then
    pid="$(</jclain-slapd-tests/master.data/slapd.pid)"

    kill -HUP "$pid"
    sleep 2
fi

################################################################################
# umount the chroots

umount `cat /proc/mounts | awk '$2 ~ "^/jclain-slapd-tests/" { print $2 }' | tac` || die
sleep 2

################################################################################
# delete dirs created by 0start.sh

rm -rf /jclain-slapd-tests
